
Redmine - Feature #8153

List assigned issues in user profile page

2011-04-14 20:42 - Ivan Cenov

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be appropriate the list of assigned issues to be rendered in the user profile page. Now, only the user's activity is rendered.

Related issues:

Related to Redmine - Feature #3398: Link to assigned issues on user profiles Closed 2009-05-20

Related to Redmine - Defect #25212: User profile should link to issues assign... Closed

History

#1 - 2011-04-15 10:11 - Etienne Massip

- Status changed from New to Resolved

- Resolution set to Wont fix

They are already in "My Page", that would make duplicate.

#2 - 2011-04-15 17:15 - Ivan Cenov

I was not clear enough. I meant "When I enter the profile of another user to see the issues that are assigned to him/her." -- if the permissions allow

such action.

#3 - 2011-04-15 18:35 - Etienne Massip

What's the added value in comparison with using a report query with "assigned to" filter set to this user ?

#4 - 2011-04-17 16:33 - Ivan Cenov

On the page of a user, one can see total number of the issues he/she has published, the overall user's activity, the list of the projects he/she

participate in, common information (name, e-mail, when he/she is registered and when he/she has logged last time). This is ok.

I think, that it will not be redundant to see the active tasks that are assigned to the user and the tasks that he/she is author of. These lists may be too

large and thus unpractical to be rendered on the page. Instead, two links are quite enough: "Active assigned tasks" and "Active tasks of this user" (the

latter is even more important).

#5 - 2011-10-13 12:07 - Etienne Massip

- Status changed from Resolved to New

#6 - 2013-02-02 13:30 - Ivan Cenov

- Status changed from New to Resolved

This issue is resolved by plugin redmine_user_issues

Please close this issue.

#7 - 2016-01-11 06:00 - Go MAEDA

- Related to Feature #3398: Link to assigned issues on user profiles added

#8 - 2016-01-11 06:08 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution changed from Wont fix to Fixed
https://github.com/klausmeyer/redmine_user_issues


The following 2 links were added on user profile page by #3398 (Redmine 3.2.0).

Assigned issues

Reported issues

#9 - 2017-06-02 08:10 - Mischa The Evil

- Related to Defect #25212: User profile should link to issues assigned to user or his groups added
